package com.zt.plat.module.base.dal.mysql.tmpltp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.module.base.controller.admin.templtp.vo.TmplFldPageReqVO;
import com.zt.plat.module.base.dal.dataobject.tmpltp.TmplTpFldDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TmplTpFldMapper extends BaseMapperX<TmplTpFldDO> {

    default PageResult<TmplTpFldDO> selectPage(TmplFldPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<TmplTpFldDO>()
                .likeIfPresent(TmplTpFldDO::getFldName, reqVO.getFldName())
                .likeIfPresent(TmplTpFldDO::getFldKy, reqVO.getFldKy())
                .eqIfPresent(TmplTpFldDO::getFldDoc, reqVO.getFldDoc())
                .eqIfPresent(TmplTpFldDO::getIsMust, reqVO.getIsMust())
                .eqIfPresent(TmplTpFldDO::getDatTp, reqVO.getDatTp())
                .eqIfPresent(TmplTpFldDO::getSts, reqVO.getSts())
                .betweenIfPresent(TmplTpFldDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(TmplTpFldDO::getId));
    }
}
